{
    attributes = (
        {
            columnName = "C_TITRE"; 
            externalType = VARCHAR2; 
            name = cTitre; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LC_TITRE"; 
            externalType = VARCHAR2; 
            name = lcTitre; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LL_TITRE"; 
            externalType = VARCHAR2; 
            name = llTitre; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 60; 
        }, 
        {
            columnName = "TEM_BUDGET_ETAT"; 
            externalType = VARCHAR2; 
            name = temBudgetEtat; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_EMPLOI_GAGE"; 
            externalType = VARCHAR2; 
            name = temEmploiGage; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (cTitre, lcTitre, llTitre, temBudgetEtat, temEmploiGage); 
    className = "org.cocktail.mangue.common.modele.nomenclatures.emploi.EOProgrammeTitre"; 
    classProperties = (cTitre, lcTitre, llTitre, temBudgetEtat, temEmploiGage); 
    externalName = "GRHUM.PROGRAMME_TITRE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (cTitre, lcTitre, llTitre, temBudgetEtat, temEmploiGage); 
    }; 
    name = ProgrammeTitre; 
    primaryKeyAttributes = (cTitre); 
}
